org.eclipse.rdf4j.query.parser.sparql.ast

## Class SyntaxTreeBuilder

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilder

- All Implemented Interfaces:
    SyntaxTreeBuilderConstants, SyntaxTreeBuilderTreeConstants

      public class SyntaxTreeBuilder
      extends Object
      implements SyntaxTreeBuilderTreeConstants, SyntaxTreeBuilderConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Token` | `jj_nt` Next token.
    `protected JJTSyntaxTreeBuilderState` | `jjtree`
    `Token` | `token` Current token.
    `SyntaxTreeBuilderTokenManager` | `token_source` Generated Token Manager.

    - ### Fields inherited from interface org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderTreeConstants

      `JJTABS, JJTADD, JJTAND, JJTASKQUERY, JJTAVG, JJTBASEDECL, JJTBASICGRAPHPATTERN, JJTBIND, JJTBINDINGSCLAUSE, JJTBINDINGSET, JJTBINDINGVALUE, JJTBLANKNODE, JJTBLANKNODEPROPERTYLIST, JJTBNODEFUNC, JJTBOUND, JJTCEIL, JJTCLEAR, JJTCOALESCE, JJTCOLLECTION, JJTCOMPARE, JJTCONCAT, JJTCONSTRAINT, JJTCONSTRUCT, JJTCONSTRUCTQUERY, JJTCONTAINS, JJTCOPY, JJTCOUNT, JJTCREATE, JJTDATASETCLAUSE, JJTDATATYPE, JJTDAY, JJTDELETECLAUSE, JJTDELETEDATA, JJTDELETEWHERE, JJTDESCRIBE, JJTDESCRIBEQUERY, JJTDROP, JJTENCODEFORURI, JJTEXISTSFUNC, JJTFALSE, JJTFLOOR, JJTFUNCTIONCALL, JJTGRAPHGRAPHPATTERN, JJTGRAPHORDEFAULT, JJTGRAPHPATTERNGROUP, JJTGRAPHREFALL, JJTGROUPCLAUSE, JJTGROUPCONCAT, JJTGROUPCONDITION, JJTHAVINGCLAUSE, JJTHOURS, JJTIF, JJTIN, JJTINFIX, JJTINLINEDATA, JJTINSERTCLAUSE, JJTINSERTDATA, JJTIRI, JJTIRIFUNC, JJTISBLANK, JJTISIRI, JJTISLITERAL, JJTISNUMERIC, JJTLANG, JJTLANGMATCHES, JJTLIMIT, JJTLOAD, JJTLOWERCASE, JJTMATH, JJTMAX, JJTMD5, JJTMIN, JJTMINUSGRAPHPATTERN, JJTMINUTES, JJTMODIFY, JJTMONTH, JJTMOVE, jjtNodeName, JJTNOT, JJTNOTEXISTSFUNC, JJTNOTIN, JJTNOW, JJTNUMERICLITERAL, JJTOBJECTLIST, JJTOFFSET, JJTOPTIONALGRAPHPATTERN, JJTOR, JJTORDERCLAUSE, JJTORDERCONDITION, JJTPATHALTERNATIVE, JJTPATHELT, JJTPATHMOD, JJTPATHONEINPROPERTYSET, JJTPATHSEQUENCE, JJTPREFIXDECL, JJTPROJECTIONELEM, JJTPROPERTYLIST, JJTPROPERTYLISTPATH, JJTQNAME, JJTQUADSNOTTRIPLES, JJTQUERYCONTAINER, JJTRAND, JJTRDFLITERAL, JJTREGEXEXPRESSION, JJTREPLACE, JJTROUND, JJTSAMETERM, JJTSAMPLE, JJTSECONDS, JJTSELECT, JJTSELECTQUERY, JJTSERVICEGRAPHPATTERN, JJTSHA1, JJTSHA224, JJTSHA256, JJTSHA384, JJTSHA512, JJTSTR, JJTSTRAFTER, JJTSTRBEFORE, JJTSTRDT, JJTSTRENDS, JJTSTRING, JJTSTRLANG, JJTSTRLEN, JJTSTRSTARTS, JJTSTRUUID, JJTSUBSTR, JJTSUM, JJTTIMEZONE, JJTTRIPLESSAMESUBJECT, JJTTRIPLESSAMESUBJECTPATH, JJTTRUE, JJTTZ, JJTUNIONGRAPHPATTERN, JJTUNPARSEDQUADDATABLOCK, JJTUPDATECONTAINER, JJTUPDATESEQUENCE, JJTUPPERCASE, JJTUUID, JJTVAR, JJTVOID, JJTWHERECLAUSE, JJTYEAR`

    - ### Fields inherited from interface org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderConstants

      `ABS, ADD, ALL, ALPHA, AND, ANON, AS, ASC, ASK, AVG, BASE, BIND, BINDINGS, BLANK_NODE_LABEL, BNODE, BOUND, BY, CEIL, CLEAR, COALESCE, COMMA, CONCAT, CONSTRUCT, CONTAINS, COPY, COUNT, CREATE, DATA, DATATYPE, DAY, DECIMAL, DECIMAL_NEGATIVE, DECIMAL_POSITIVE, DEFAULT, DEFAULT_GRAPH, DELETE, DESC, DESCRIBE, DISTINCT, DOT, DOUBLE, DOUBLE_NEGATIVE, DOUBLE_POSITIVE, DOUBLE1, DOUBLE2, DOUBLE3, DROP, DT_PREFIX, ECHAR, ENCODE_FOR_URI, EOF, EQ, EXISTS, EXPONENT, FALSE, FILTER, FLOOR, FROM, GE, GRAPH, GROUP, GROUP_CONCAT, GT, HAVING, HEX, HOURS, IF, IN, INSERT, INTEGER, INTEGER_NEGATIVE, INTEGER_POSITIVE, INTO, INVERSE, IRI, IS_A, IS_BLANK, IS_IRI, IS_LITERAL, IS_NUMERIC, LANG, LANGMATCHES, LANGTAG, LBRACE, LBRACK, LCASE, LE, LIMIT, LOAD, LPAREN, LT, MAX, MD5, MIN, MINUS, MINUS_SETOPER, MINUTES, MONTH, MOVE, NAMED, NE, NIL, NOT, NOT_EXISTS, NOT_IN, NOW, NUM, OFFSET, OPTIONAL, OR, ORDER, PERCENT, PIPE, PLUS, PLX, PN_CHARS, PN_CHARS_BASE, PN_CHARS_U, PN_LOCAL, PN_LOCAL_ESC, PN_PREFIX, PNAME_LN, PNAME_NS, PREFIX, Q_IRI_REF, QUESTION, RAND, RBRACE, RBRACK, REDUCED, REGEX, REPLACE, ROUND, RPAREN, SAFE_CHAR_LONG1, SAFE_CHAR_LONG2, SAFE_CHAR1, SAFE_CHAR2, SAMETERM, SAMPLE, SECONDS, SELECT, SEMICOLON, SEPARATOR, SERVICE, SHA1, SHA224, SHA256, SHA384, SHA512, SILENT, SINGLE_LINE_COMMENT, SLASH, STAR, STR, STR_AFTER, STR_BEFORE, STR_ENDS, STR_STARTS, STRDT, STRING_LITERAL_LONG1, STRING_LITERAL_LONG2, STRING_LITERAL1, STRING_LITERAL2, STRLANG, STRLEN, STRUUID, SUBSTR, SUM, TIMEZONE, TO, tokenImage, TRUE, TZ, UCASE, UNDEF, UNION, USING, UUID, VALUES, VAR_CHAR, VAR1, VAR2, VARNAME, WHERE, WHITESPACE, WITH, WS_CHAR, YEAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyntaxTreeBuilder(CharStream stream)` Constructor with user supplied CharStream.
    `SyntaxTreeBuilder(SyntaxTreeBuilderTokenManager tm)` Constructor with generated Token Manager.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `Abs()`
    `void` | `Add()`
    `void` | `AdditiveExpression()`
    `void` | `Aggregate()`
    `void` | `ArgList()`
    `void` | `AskQuery()`
    `void` | `Avg()`
    `void` | `BaseDecl()`
    `void` | `BasicGraphPattern()`
    `void` | `Bind()`
    `void` | `BindingsClause()`
    `void` | `BindingSet()`
    `void` | `BindingValue()`
    `void` | `BlankNode()`
    `void` | `BlankNodePropertyList()`
    `void` | `BlankNodePropertyListPath()`
    `void` | `BNodeFunc()`
    `void` | `BooleanLiteral()`
    `void` | `Bound()`
    `void` | `BrackettedExpression()`
    `void` | `BuiltInCall()`
    `void` | `Ceil()`
    `void` | `Clear()`
    `void` | `Coalesce()`
    `void` | `Collection()`
    `void` | `CollectionPath()`
    `void` | `Concat()`
    `void` | `ConditionalAndExpression()`
    `void` | `ConditionalOrExpression()`
    `void` | `Constraint()`
    `void` | `Construct()`
    `void` | `ConstructClause()`
    `void` | `ConstructQuery()`
    `void` | `Contains()`
    `void` | `Copy()`
    `void` | `Count()`
    `void` | `Create()`
    `void` | `DataBlock()`
    `void` | `DatasetClause()`
    `void` | `Datatype()`
    `void` | `DateTimeFunction()`
    `void` | `Day()`
    `void` | `DeleteClause()`
    `void` | `DeleteData()`
    `void` | `DeleteWhere()`
    `void` | `Describe()`
    `void` | `DescribeQuery()`
    `void` | `disable_tracing()` Disable tracing.
    `void` | `Drop()`
    `void` | `enable_tracing()` Enable tracing.
    `void` | `EncodeForURI()`
    `void` | `ExistsFunc()`
    `void` | `Expression()`
    `void` | `Filter()`
    `void` | `FilterOrBind()`
    `void` | `Floor()`
    `void` | `FunctionCall()`
    `ParseException` | `generateParseException()` Generate ParseException.
    `Token` | `getNextToken()` Get the next Token.
    `Token` | `getToken(int index)` Get the specific Token.
    `void` | `GraphGraphPattern()`
    `void` | `GraphNode()`
    `void` | `GraphNodePath()`
    `void` | `GraphOrDefault()`
    `void` | `GraphPattern()`
    `void` | `GraphPatternNotTriples()`
    `void` | `GraphRef()`
    `void` | `GraphRefAll()`
    `void` | `GraphTerm()`
    `void` | `GroupClause()`
    `void` | `GroupConcat()`
    `void` | `GroupCondition()`
    `Token` | `GroupGraphPattern()`
    `void` | `GroupOrUnionGraphPattern()`
    `void` | `HashFunction()`
    `void` | `HavingClause()`
    `void` | `Hours()`
    `void` | `If()`
    `void` | `In()`
    `void` | `InlineData()`
    `void` | `InlineDataFull()`
    `void` | `InlineDataOneVar()`
    `void` | `InsertClause()`
    `void` | `InsertData()`
    `void` | `IRI()`
    `void` | `IRIFunc()`
    `void` | `IRIref()`
    `void` | `IsBlank()`
    `void` | `IsIRI()`
    `void` | `IsLiteral()`
    `void` | `IsNumeric()`
    `void` | `Lang()`
    `void` | `LangMatches()`
    `void` | `Limit()`
    `void` | `LimitOffsetClauses()`
    `void` | `Load()`
    `void` | `LowerCase()`
    `void` | `Max()`
    `void` | `MD5()`
    `void` | `Min()`
    `void` | `MinusGraphPattern()`
    `void` | `Minutes()`
    `void` | `Modify()`
    `void` | `ModifyWhereClause()`
    `void` | `Month()`
    `void` | `Move()`
    `void` | `MultiplicativeExpression()`
    `void` | `NotExistsFunc()`
    `void` | `NotIn()`
    `void` | `Now()`
    `void` | `NumericExpression()`
    `void` | `NumericFunction()`
    `void` | `NumericLiteral()`
    `void` | `NumericLiteralNegative()`
    `void` | `NumericLiteralPositive()`
    `void` | `NumericLiteralUnsigned()`
    `void` | `Object()`
    `void` | `ObjectList()`
    `void` | `ObjectListPath()`
    `void` | `ObjectPath()`
    `void` | `Offset()`
    `void` | `OptionalGraphPattern()`
    `void` | `OrderClause()`
    `void` | `OrderCondition()`
    `static ASTQueryContainer` | `parseQuery(String query)` Parses the supplied SPARQL query and builds a syntax tree from it.
    `static ASTUpdateSequence` | `parseUpdateSequence(String sequence)` Parses the supplied SPARQL update sequence and builds a syntax tree from it.
    `void` | `Path()`
    `void` | `PathAlternative()`
    `void` | `PathElt()`
    `void` | `PathMod()`
    `void` | `PathNegatedPropertySet()`
    `void` | `PathOneInPropertySet()`
    `void` | `PathPrimary()`
    `void` | `PathSequence()`
    `void` | `PrefixDecl()`
    `void` | `PrefixedName()`
    `void` | `PrimaryExpression()`
    `void` | `ProjectionElem()`
    `void` | `Prolog()`
    `void` | `PropertyList()`
    `void` | `PropertyListPath()`
    `void` | `QuadData()`
    `void` | `Quads()`
    `void` | `QuadsNotTriples()`
    `void` | `Query()`
    `ASTQueryContainer` | `QueryContainer()`
    `void` | `Rand()`
    `void` | `RDFLiteral()`
    `void` | `RDFTermFunction()`
    `void` | `RegexExpression()`
    `void` | `ReInit(CharStream stream)` Reinitialise.
    `void` | `ReInit(SyntaxTreeBuilderTokenManager tm)` Reinitialise.
    `void` | `RelationalExpression()`
    `void` | `Replace()`
    `void` | `Round()`
    `void` | `SameTerm()`
    `void` | `Sample()`
    `void` | `Seconds()`
    `void` | `Select()`
    `void` | `SelectQuery()`
    `void` | `ServiceGraphPattern()`
    `void` | `SHA1()`
    `void` | `SHA224()`
    `void` | `SHA256()`
    `void` | `SHA384()`
    `void` | `SHA512()`
    `void` | `SimpleBindingSet()`
    `void` | `SolutionModifier()`
    `void` | `Str()`
    `void` | `StrAfter()`
    `void` | `StrBefore()`
    `void` | `StrDt()`
    `void` | `StrEnds()`
    `void` | `String()`
    `void` | `StringFunction()`
    `void` | `StrLang()`
    `void` | `StrLen()`
    `void` | `StrStarts()`
    `void` | `STRUUID()`
    `void` | `SubSelect()`
    `void` | `Substr()`
    `void` | `Sum()`
    `void` | `Timezone()`
    `void` | `TriplesBlock()`
    `void` | `TriplesNode()`
    `void` | `TriplesNodePath()`
    `void` | `TriplesSameSubject()`
    `void` | `TriplesSameSubjectPath()`
    `void` | `TriplesTemplate()`
    `void` | `Tz()`
    `void` | `UnaryExpression()`
    `void` | `UnaryMinus()`
    `void` | `UnparsedQuadDataBlock()`
    `void` | `Update()`
    `ASTUpdateContainer` | `UpdateContainer()`
    `ASTUpdateSequence` | `UpdateSequence()`
    `void` | `UpperCase()`
    `void` | `UsingClause()`
    `void` | `UUID()`
    `void` | `ValueLogical()`
    `void` | `Var()`
    `void` | `VarOrIRIref()`
    `void` | `VarOrTerm()`
    `void` | `Verb()`
    `void` | `VerbPath()`
    `void` | `VerbSimple()`
    `void` | `WhereClause()`
    `void` | `WithClause()`
    `void` | `Year()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jjtree

          protected JJTSyntaxTreeBuilderState jjtree

    - #### token_source

          public SyntaxTreeBuilderTokenManager token_source

      Generated Token Manager.

    - #### token

          public Token token

      Current token.

    - #### jj_nt

          public Token jj_nt

      Next token.

  - ### Constructor Detail

    - #### SyntaxTreeBuilder

          public SyntaxTreeBuilder(CharStream stream)

      Constructor with user supplied CharStream.

    - #### SyntaxTreeBuilder

          public SyntaxTreeBuilder(SyntaxTreeBuilderTokenManager tm)

      Constructor with generated Token Manager.

  - ### Method Detail

    - #### parseQuery

          public static ASTQueryContainer parseQuery(String query)
                                              throws TokenMgrError,
                                                     ParseException

      Parses the supplied SPARQL query and builds a syntax tree from it.
      Parameters:
        `query` - A SPARQL query string.
      Returns:
        The root of the syntax tree.
      Throws:
        `TokenMgrError` - If the query was syntactically incorrect.
        `ParseException` - If the query was syntactically incorrect.

    - #### parseUpdateSequence

          public static ASTUpdateSequence parseUpdateSequence(String sequence)
                                                       throws TokenMgrError,
                                                              ParseException

      Parses the supplied SPARQL update sequence and builds a syntax tree from it.
      Parameters:
        `sequence` - A SPARQL update sequence string.
      Returns:
        The root of the syntax tree.
      Throws:
        `TokenMgrError` - If the update sequence was syntactically incorrect.
        `ParseException` - If the update sequence was syntactically incorrect.

    - #### UpdateSequence

          public final ASTUpdateSequence UpdateSequence()
                                                 throws ParseException

      Throws:
        `ParseException`

    - #### UpdateContainer

          public final ASTUpdateContainer UpdateContainer()
                                                   throws ParseException

      Throws:
        `ParseException`

    - #### QueryContainer

          public final ASTQueryContainer QueryContainer()
                                                 throws ParseException

      Throws:
        `ParseException`

    - #### Prolog

          public final void Prolog()
                            throws ParseException

      Throws:
        `ParseException`

    - #### BaseDecl

          public final void BaseDecl()
                              throws ParseException

      Throws:
        `ParseException`

    - #### PrefixDecl

          public final void PrefixDecl()
                                throws ParseException

      Throws:
        `ParseException`

    - #### Query

          public final void Query()
                           throws ParseException

      Throws:
        `ParseException`

    - #### SelectQuery

          public final void SelectQuery()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### SubSelect

          public final void SubSelect()
                               throws ParseException

      Throws:
        `ParseException`

    - #### Select

          public final void Select()
                            throws ParseException

      Throws:
        `ParseException`

    - #### ProjectionElem

          public final void ProjectionElem()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### ConstructQuery

          public final void ConstructQuery()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### Construct

          public final void Construct()
                               throws ParseException

      Throws:
        `ParseException`

    - #### ConstructClause

          public final void ConstructClause()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### DescribeQuery

          public final void DescribeQuery()
                                   throws ParseException

      Throws:
        `ParseException`

    - #### Describe

          public final void Describe()
                              throws ParseException

      Throws:
        `ParseException`

    - #### AskQuery

          public final void AskQuery()
                              throws ParseException

      Throws:
        `ParseException`

    - #### DatasetClause

          public final void DatasetClause()
                                   throws ParseException

      Throws:
        `ParseException`

    - #### WhereClause

          public final void WhereClause()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### BindingsClause

          public final void BindingsClause()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### InlineData

          public final void InlineData()
                                throws ParseException

      Throws:
        `ParseException`

    - #### DataBlock

          public final void DataBlock()
                               throws ParseException

      Throws:
        `ParseException`

    - #### InlineDataOneVar

          public final void InlineDataOneVar()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### InlineDataFull

          public final void InlineDataFull()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### SimpleBindingSet

          public final void SimpleBindingSet()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### BindingSet

          public final void BindingSet()
                                throws ParseException

      Throws:
        `ParseException`

    - #### BindingValue

          public final void BindingValue()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### SolutionModifier

          public final void SolutionModifier()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### GroupClause

          public final void GroupClause()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### OrderClause

          public final void OrderClause()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### GroupCondition

          public final void GroupCondition()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### HavingClause

          public final void HavingClause()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### OrderCondition

          public final void OrderCondition()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### LimitOffsetClauses

          public final void LimitOffsetClauses()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### Limit

          public final void Limit()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Offset

          public final void Offset()
                            throws ParseException

      Throws:
        `ParseException`

    - #### GroupGraphPattern

          public final Token GroupGraphPattern()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### GraphPattern

          public final void GraphPattern()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### BasicGraphPattern

          public final void BasicGraphPattern()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### FilterOrBind

          public final void FilterOrBind()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### TriplesBlock

          public final void TriplesBlock()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### TriplesTemplate

          public final void TriplesTemplate()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### GraphPatternNotTriples

          public final void GraphPatternNotTriples()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### OptionalGraphPattern

          public final void OptionalGraphPattern()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### GraphGraphPattern

          public final void GraphGraphPattern()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### GroupOrUnionGraphPattern

          public final void GroupOrUnionGraphPattern()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### MinusGraphPattern

          public final void MinusGraphPattern()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### ServiceGraphPattern

          public final void ServiceGraphPattern()
                                         throws ParseException

      Throws:
        `ParseException`

    - #### Filter

          public final void Filter()
                            throws ParseException

      Throws:
        `ParseException`

    - #### Constraint

          public final void Constraint()
                                throws ParseException

      Throws:
        `ParseException`

    - #### FunctionCall

          public final void FunctionCall()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### ArgList

          public final void ArgList()
                             throws ParseException

      Throws:
        `ParseException`

    - #### TriplesSameSubject

          public final void TriplesSameSubject()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### PropertyList

          public final void PropertyList()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### ObjectList

          public final void ObjectList()
                                throws ParseException

      Throws:
        `ParseException`

    - #### TriplesSameSubjectPath

          public final void TriplesSameSubjectPath()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### PropertyListPath

          public final void PropertyListPath()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### ObjectListPath

          public final void ObjectListPath()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### VerbPath

          public final void VerbPath()
                              throws ParseException

      Throws:
        `ParseException`

    - #### Path

          public final void Path()
                          throws ParseException

      Throws:
        `ParseException`

    - #### PathAlternative

          public final void PathAlternative()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### PathSequence

          public final void PathSequence()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### PathElt

          public final void PathElt()
                             throws ParseException

      Throws:
        `ParseException`

    - #### PathPrimary

          public final void PathPrimary()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### PathNegatedPropertySet

          public final void PathNegatedPropertySet()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### PathOneInPropertySet

          public final void PathOneInPropertySet()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### PathMod

          public final void PathMod()
                             throws ParseException

      Throws:
        `ParseException`

    - #### VerbSimple

          public final void VerbSimple()
                                throws ParseException

      Throws:
        `ParseException`

    - #### Object

          public final void Object()
                            throws ParseException

      Throws:
        `ParseException`

    - #### ObjectPath

          public final void ObjectPath()
                                throws ParseException

      Throws:
        `ParseException`

    - #### Verb

          public final void Verb()
                          throws ParseException

      Throws:
        `ParseException`

    - #### TriplesNode

          public final void TriplesNode()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### TriplesNodePath

          public final void TriplesNodePath()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### BlankNodePropertyList

          public final void BlankNodePropertyList()
                                           throws ParseException

      Throws:
        `ParseException`

    - #### BlankNodePropertyListPath

          public final void BlankNodePropertyListPath()
                                               throws ParseException

      Throws:
        `ParseException`

    - #### Collection

          public final void Collection()
                                throws ParseException

      Throws:
        `ParseException`

    - #### CollectionPath

          public final void CollectionPath()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### GraphNode

          public final void GraphNode()
                               throws ParseException

      Throws:
        `ParseException`

    - #### GraphNodePath

          public final void GraphNodePath()
                                   throws ParseException

      Throws:
        `ParseException`

    - #### VarOrTerm

          public final void VarOrTerm()
                               throws ParseException

      Throws:
        `ParseException`

    - #### VarOrIRIref

          public final void VarOrIRIref()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### Var

          public final void Var()
                         throws ParseException

      Throws:
        `ParseException`

    - #### GraphTerm

          public final void GraphTerm()
                               throws ParseException

      Throws:
        `ParseException`

    - #### Expression

          public final void Expression()
                                throws ParseException

      Throws:
        `ParseException`

    - #### ConditionalOrExpression

          public final void ConditionalOrExpression()
                                             throws ParseException

      Throws:
        `ParseException`

    - #### ConditionalAndExpression

          public final void ConditionalAndExpression()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### ValueLogical

          public final void ValueLogical()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### RelationalExpression

          public final void RelationalExpression()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### NumericExpression

          public final void NumericExpression()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### AdditiveExpression

          public final void AdditiveExpression()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### MultiplicativeExpression

          public final void MultiplicativeExpression()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### UnaryExpression

          public final void UnaryExpression()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### UnaryMinus

          public final void UnaryMinus()
                                throws ParseException

      Throws:
        `ParseException`

    - #### PrimaryExpression

          public final void PrimaryExpression()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### Aggregate

          public final void Aggregate()
                               throws ParseException

      Throws:
        `ParseException`

    - #### Count

          public final void Count()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Sum

          public final void Sum()
                         throws ParseException

      Throws:
        `ParseException`

    - #### Min

          public final void Min()
                         throws ParseException

      Throws:
        `ParseException`

    - #### Max

          public final void Max()
                         throws ParseException

      Throws:
        `ParseException`

    - #### Avg

          public final void Avg()
                         throws ParseException

      Throws:
        `ParseException`

    - #### Sample

          public final void Sample()
                            throws ParseException

      Throws:
        `ParseException`

    - #### GroupConcat

          public final void GroupConcat()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### BrackettedExpression

          public final void BrackettedExpression()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### BuiltInCall

          public final void BuiltInCall()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### StringFunction

          public final void StringFunction()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### NumericFunction

          public final void NumericFunction()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### RDFTermFunction

          public final void RDFTermFunction()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### DateTimeFunction

          public final void DateTimeFunction()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### HashFunction

          public final void HashFunction()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### MD5

          public final void MD5()
                         throws ParseException

      Throws:
        `ParseException`

    - #### SHA1

          public final void SHA1()
                          throws ParseException

      Throws:
        `ParseException`

    - #### SHA224

          public final void SHA224()
                            throws ParseException

      Throws:
        `ParseException`

    - #### SHA256

          public final void SHA256()
                            throws ParseException

      Throws:
        `ParseException`

    - #### SHA384

          public final void SHA384()
                            throws ParseException

      Throws:
        `ParseException`

    - #### SHA512

          public final void SHA512()
                            throws ParseException

      Throws:
        `ParseException`

    - #### Now

          public final void Now()
                         throws ParseException

      Throws:
        `ParseException`

    - #### Year

          public final void Year()
                          throws ParseException

      Throws:
        `ParseException`

    - #### Month

          public final void Month()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Day

          public final void Day()
                         throws ParseException

      Throws:
        `ParseException`

    - #### Hours

          public final void Hours()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Minutes

          public final void Minutes()
                             throws ParseException

      Throws:
        `ParseException`

    - #### Seconds

          public final void Seconds()
                             throws ParseException

      Throws:
        `ParseException`

    - #### Timezone

          public final void Timezone()
                              throws ParseException

      Throws:
        `ParseException`

    - #### Tz

          public final void Tz()
                        throws ParseException

      Throws:
        `ParseException`

    - #### Rand

          public final void Rand()
                          throws ParseException

      Throws:
        `ParseException`

    - #### Abs

          public final void Abs()
                         throws ParseException

      Throws:
        `ParseException`

    - #### Ceil

          public final void Ceil()
                          throws ParseException

      Throws:
        `ParseException`

    - #### Floor

          public final void Floor()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Round

          public final void Round()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Substr

          public final void Substr()
                            throws ParseException

      Throws:
        `ParseException`

    - #### StrLen

          public final void StrLen()
                            throws ParseException

      Throws:
        `ParseException`

    - #### UpperCase

          public final void UpperCase()
                               throws ParseException

      Throws:
        `ParseException`

    - #### LowerCase

          public final void LowerCase()
                               throws ParseException

      Throws:
        `ParseException`

    - #### StrStarts

          public final void StrStarts()
                               throws ParseException

      Throws:
        `ParseException`

    - #### StrEnds

          public final void StrEnds()
                             throws ParseException

      Throws:
        `ParseException`

    - #### StrBefore

          public final void StrBefore()
                               throws ParseException

      Throws:
        `ParseException`

    - #### StrAfter

          public final void StrAfter()
                              throws ParseException

      Throws:
        `ParseException`

    - #### Replace

          public final void Replace()
                             throws ParseException

      Throws:
        `ParseException`

    - #### Concat

          public final void Concat()
                            throws ParseException

      Throws:
        `ParseException`

    - #### Contains

          public final void Contains()
                              throws ParseException

      Throws:
        `ParseException`

    - #### EncodeForURI

          public final void EncodeForURI()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### If

          public final void If()
                        throws ParseException

      Throws:
        `ParseException`

    - #### In

          public final void In()
                        throws ParseException

      Throws:
        `ParseException`

    - #### NotIn

          public final void NotIn()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Coalesce

          public final void Coalesce()
                              throws ParseException

      Throws:
        `ParseException`

    - #### Str

          public final void Str()
                         throws ParseException

      Throws:
        `ParseException`

    - #### Lang

          public final void Lang()
                          throws ParseException

      Throws:
        `ParseException`

    - #### LangMatches

          public final void LangMatches()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### Datatype

          public final void Datatype()
                              throws ParseException

      Throws:
        `ParseException`

    - #### Bound

          public final void Bound()
                           throws ParseException

      Throws:
        `ParseException`

    - #### SameTerm

          public final void SameTerm()
                              throws ParseException

      Throws:
        `ParseException`

    - #### IsIRI

          public final void IsIRI()
                           throws ParseException

      Throws:
        `ParseException`

    - #### IsBlank

          public final void IsBlank()
                             throws ParseException

      Throws:
        `ParseException`

    - #### IsLiteral

          public final void IsLiteral()
                               throws ParseException

      Throws:
        `ParseException`

    - #### IsNumeric

          public final void IsNumeric()
                               throws ParseException

      Throws:
        `ParseException`

    - #### BNodeFunc

          public final void BNodeFunc()
                               throws ParseException

      Throws:
        `ParseException`

    - #### IRIFunc

          public final void IRIFunc()
                             throws ParseException

      Throws:
        `ParseException`

    - #### StrDt

          public final void StrDt()
                           throws ParseException

      Throws:
        `ParseException`

    - #### StrLang

          public final void StrLang()
                             throws ParseException

      Throws:
        `ParseException`

    - #### UUID

          public final void UUID()
                          throws ParseException

      Throws:
        `ParseException`

    - #### STRUUID

          public final void STRUUID()
                             throws ParseException

      Throws:
        `ParseException`

    - #### Bind

          public final void Bind()
                          throws ParseException

      Throws:
        `ParseException`

    - #### RegexExpression

          public final void RegexExpression()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### ExistsFunc

          public final void ExistsFunc()
                                throws ParseException

      Throws:
        `ParseException`

    - #### NotExistsFunc

          public final void NotExistsFunc()
                                   throws ParseException

      Throws:
        `ParseException`

    - #### RDFLiteral

          public final void RDFLiteral()
                                throws ParseException

      Throws:
        `ParseException`

    - #### NumericLiteral

          public final void NumericLiteral()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### NumericLiteralUnsigned

          public final void NumericLiteralUnsigned()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### NumericLiteralPositive

          public final void NumericLiteralPositive()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### NumericLiteralNegative

          public final void NumericLiteralNegative()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### BooleanLiteral

          public final void BooleanLiteral()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### String

          public final void String()
                            throws ParseException

      Throws:
        `ParseException`

    - #### IRIref

          public final void IRIref()
                            throws ParseException

      Throws:
        `ParseException`

    - #### PrefixedName

          public final void PrefixedName()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### BlankNode

          public final void BlankNode()
                               throws ParseException

      Throws:
        `ParseException`

    - #### IRI

          public final void IRI()
                         throws ParseException

      Throws:
        `ParseException`

    - #### GraphRefAll

          public final void GraphRefAll()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### GraphOrDefault

          public final void GraphOrDefault()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### GraphRef

          public final void GraphRef()
                              throws ParseException

      Throws:
        `ParseException`

    - #### UnparsedQuadDataBlock

          public final void UnparsedQuadDataBlock()
                                           throws ParseException

      Throws:
        `ParseException`

    - #### QuadData

          public final void QuadData()
                              throws ParseException

      Throws:
        `ParseException`

    - #### Quads

          public final void Quads()
                           throws ParseException

      Throws:
        `ParseException`

    - #### QuadsNotTriples

          public final void QuadsNotTriples()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### Update

          public final void Update()
                            throws ParseException

      Throws:
        `ParseException`

    - #### Load

          public final void Load()
                          throws ParseException

      Throws:
        `ParseException`

    - #### Clear

          public final void Clear()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Drop

          public final void Drop()
                          throws ParseException

      Throws:
        `ParseException`

    - #### Add

          public final void Add()
                         throws ParseException

      Throws:
        `ParseException`

    - #### Move

          public final void Move()
                          throws ParseException

      Throws:
        `ParseException`

    - #### Copy

          public final void Copy()
                          throws ParseException

      Throws:
        `ParseException`

    - #### Create

          public final void Create()
                            throws ParseException

      Throws:
        `ParseException`

    - #### InsertData

          public final void InsertData()
                                throws ParseException

      Throws:
        `ParseException`

    - #### DeleteData

          public final void DeleteData()
                                throws ParseException

      Throws:
        `ParseException`

    - #### DeleteWhere

          public final void DeleteWhere()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### DeleteClause

          public final void DeleteClause()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### InsertClause

          public final void InsertClause()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### UsingClause

          public final void UsingClause()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### WithClause

          public final void WithClause()
                                throws ParseException

      Throws:
        `ParseException`

    - #### ModifyWhereClause

          public final void ModifyWhereClause()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### Modify

          public final void Modify()
                            throws ParseException

      Throws:
        `ParseException`

    - #### ReInit

          public void ReInit(CharStream stream)

      Reinitialise.

    - #### ReInit

          public void ReInit(SyntaxTreeBuilderTokenManager tm)

      Reinitialise.

    - #### getNextToken

          public final Token getNextToken()

      Get the next Token.

    - #### getToken

          public final Token getToken(int index)

      Get the specific Token.

    - #### generateParseException

          public ParseException generateParseException()

      Generate ParseException.

    - #### enable_tracing

          public final void enable_tracing()

      Enable tracing.

    - #### disable_tracing

          public final void disable_tracing()

      Disable tracing.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.